import React, {Component} from 'react'
import { is, fromJS } from 'immutable'

import { menuOptions } from './option'
import SourceWrap from './dragsource'
import './index.scss'

class CardChart extends Component {
  shouldComponentUpdate (nextProps, nextState) {
    return !is(fromJS(this.props), fromJS(nextProps)) || !is(fromJS(this.state), fromJS(nextState))
  }

  render() {
    return (
      <div className="mob-card-source-box">
        {menuOptions.map((item, index) => (<SourceWrap key={index} content={item} />))}
      </div>
    )
  }
}

export default CardChart